<template>
  <div class="product">
    <div :class="'product-inner ' + product.color">
      <div class="product-text-wrap">
        <h2 class="bg-text"></h2>
      </div>
      <div class="product-image-wrap">
        <img :src="product.src" class="image" />
      </div>
      
    </div>
  </div>
</template>

<script>
export default {
  name: 'product',
  props: ['product']
}
</script>

<style>
  .product {
    flex: 1 1 33.333%;
    width: 100%;
 
  }
  .product-inner {
    position: relative;
    padding: 25px;  
    perspective: 1000px;
  }
  .product-inner.green {
    
    top: -25px;
    left: 95px;
    z-index: 1;

  
  }

   .product-inner.green img{
  
      width: 175px;
  
  }


  
     .product-inner.blue img{
    

         width: 265px;
  
  }



 
  .product-inner.pink {
    z-index: 3;
    right: 50px;
    bottom:-75px ;
    
  }

  .product-inner.pink img{

      width: 175px;
     
  }


    .product-inner.violet {
    z-index: 4;
    right: 175px;
  }

  .product-inner.violet img{
   width: 120px;
  }



  .product-text-wrap {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 0;
    overflow: hidden;
    perspective: 1000px;
  }
  

  .product-image-wrap {
    position: relative;
    z-index: 1;
    transform-origin: center;
  }
  .product-image-wrap .image {
    width: 100%;
    filter: drop-shadow(0px 0px 12px rgba(0, 0, 0, 0.25));
  }
  
</style>